/*                    Réglages                    */


/* Anciennes Polices */


/* famille de polices: 'Dancing Script', cursive;
famille de polices: 'Shippori Mincho B1', serif;
famille de polices: 'Sofia', cursive; */


/* Polices actuelles */


/* font-family: 'Asap', sans-serif;
font-family: 'Poppins', sans-serif;
font-family: 'Sawarabi Mincho', sans-serif; */


/* Palette de couleurs 1 : GIRLY1*/


/* --rose-pale: #E9C8CE;
    --rose-beige: #DEABAF;
    --rose: #DC98BD;
    --violet-clair: #B384A7;
    --violet-prune: #81657C;
    --violet-prune-att: hsla(313, 12%, 45%, 0.575); */


/* Palette de couleurs 2 : GIRLY2*/


/* --violet-noir: #211A11;
    --violet-fonce: #5C5792;
    --violet: #9F8DC3;
    --violet-rose: #BE9CC7;
    --rose-clair: #E3BAD5;   */

:root {
    /* Couleurs utilisées */
    --pale: #E9C8CE;
    --cf: #81657C;
    --cf-att: hsla(313, 12%, 45%, 0.932);
    --fonce: #1b1121;
    --fonce-titre: #331b41;
    --fonce-att: #5C5792;
}


/* --- Styles généraux --- */

body {
    color: var( --fonce);
    font-family: 'Asap', sans-serif;
    font-size: 14px;
    font-weight: 400;
}

a:hover {
    color: var(--cf);
}

h2 {
    box-shadow: 5px 5px 20px var(--fonce);
    font-size: 25px;
    text-align: center;
    text-transform: uppercase;
    margin: 20px;
    padding: 5px;
}

h3 {
    font-size: 16px;
    margin-top: 20px;
}

h4 {
    font-size: 18px;
    margin-top: 20px;
}

h2,
h3,
h4 {
    color: var(--fonce-titre);
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
}

:focus {
    outline: 2px solid var (--fonce-att);
}

ul,
ol {
    margin-bottom: 3px;
}

li {
    margin-left: 30px;
}


/* --- Icones --- */

.fab {
    font-size: 25px;
}

.fa-map-marker-alt,
.fa-mobile-alt,
.fa-at {
    color: var(--cf);
}

.fa-html5,
.fa-git,
.fa-laravel {
    color: orangered;
}

.fa-angular {
    color: rgba(255, 0, 43, 0.842);
}

.fa-css3-alt,
.fa-react,
.fa-linkedin,
.fa-facebook {
    color: rgb(0, 119, 255);
}

.fa-js {
    color: rgba(255, 187, 0, 0.568);
}

.fa-php {
    color: var(--fonce-att);
}

section {
    margin: 10px;
}


/*                    Mon CV                    */

.cadre_page {
    background-color: var( --cf-att);
    border: 2px solid black;
    display: flex;
    flex-direction: column;
    padding: 3px;
    /* margin: 5px; */
}


/*             HEADER             */

header {
    display: flex;
    flex-wrap: wrap;
}

.menu-w {
    display: flex;
    flex-direction: row-reverse;
    flex-grow: 1;
    padding: 20px;
    top: 30px;
}

.menu-w a {
    font-family: 'Sawarabi Mincho', sans-serif;
    font-weight: 400;
    outline: 0;
    text-decoration: none;
    border-bottom: 1px solid var( --cf);
}

.menu-w nav a {
    display: block;
    padding: 10px;
    text-align: center;
}

.menu-w nav>ul>li>a:focus {
    background-color: var( --cf);
}

.menu-w nav>ul>li>a:active {
    background-color: var( --cf);
}

.menu-w nav>ul>li>a:hover {
    background-color: var( --cf);
    color: var(--pale);
}

#nav_menu {
    position: relative;
    right: 55px;
}

.btn {
    background-color: var( --pale);
    border-radius: 3px;
    height: 40px;
    margin: 15px;
    padding: 6px;
    width: 40px;
}

.btn-cad {
    position: absolute;
}

.btn-imp {
    position: relative;
    left: 20px;
    top: 30px;
}

.infobulle {
    font-weight: bold;
    position: relative;
    cursor: help;
}

.infobulle:hover::after,
.infobulle:focus::after {
    content: attr(aria-label);
    position: absolute;
    top: -2.4em;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
    white-space: nowrap;
}

.hidden {
    display: none !important;
}

.en_tete {
    display: flex;
    align-items: center;
    background-color: var(--cf);
    box-shadow: 5px 5px 20px var(--fonce);
}

.complet {
    flex-shrink: 0;
    flex-basis: 100%;
    font-family: 'Poppins', sans-serif;
    font-size: 25px;
    font-weight: 700;
    padding: 30px;
    text-shadow: 2px 2px 0 var( --fonce-att);
}

.signature {
    font-family: 'Princess Sofia', cursive;
    font-size: 30px;
    text-align: center;
    text-shadow: 1px 1px 0 var( --fonce-att);
}

.cadre {
    display: none;
}

.presentation {
    background-color: var(--cf-att);
    padding: 15px;
}

.formulaire {
    background-color: var(--cf-att);
    padding: 30px;
}

.formulaire div {
    flex: 1 0 100%;
    padding: 15px;
}


/* .row {
    margin: 0 30px 0 20px;
} */

.btn-submit {
    background-color: var( --cf);
    border-radius: 3px;
    color: var(--pale);
    margin: 0 auto;
    padding: 15px;
}

.btn-submit:active {
    background-color: var( --fonce-att);
    border-radius: 3px;
    color: var(--pale);
}

.portfolio {
    display: block;
    margin: auto;
}


/*   --RESPONSIVE--    */


/* Tablettes */

@media ( min-width: 768px) {
    body {
        background-image: url("../img/office-md.jpg");
        background-attachment: fixed;
    }
    .en-tete {
        flex-direction: row;
        flex-wrap: nowrap;
    }
    .complet {
        margin: 30px;
        flex-shrink: 1;
        flex-grow: 1;
        padding: 60px;
    }
    .cadre_page {
        margin: 10px 10px auto auto;
        width: 700px;
        padding: 0;
    }
    .cadre {
        align-items: center;
        display: block;
        flex-basis: 250px;
        flex-shrink: 0;
        margin: 0 auto;
        padding: 10px;
    }
    .photo {
        align-items: center;
        display: flex;
        flex-direction: column;
        padding: 15px;
    }
    .photo img {
        width: 100%;
        clip-path: circle(100px at 50% 50%);
    }
    /* Pour enlever un effet indésirable Bootstrap qui réduisait les div à partir de 768px */
    .mb-3,
    .col-md-6,
    .col-md-4 {
        width: auto;
    }
}


/* Bureau */

@media ( min-width: 992px) {
    body {
        background-image: url("../img/office.jpg");
    }
    .cadre_page {
        margin: 4px 4px auto auto;
        width: 900px;
        padding: 0;
    }
    .btn-cad {
        display: none;
    }
    .ret-hidden {
        display: flex !important;
        flex-direction: row-reverse;
    }
    #nav_menu ul {
        justify-content: center;
        display: flex;
        font-size: larger;
        font-weight: bold;
        flex-direction: row;
        flex-wrap: wrap;
    }
    /* Par rapport à la maquette, j'ai inversé la section présentation, car je trouvais ça plus cohérent avec l'espace et plus joli visuellement, ça m'a évité de trop réduire les tailles */
    main {
        display: flex;
        flex-direction: row-reverse;
    }
    .parcours {
        flex-basis: 80%;
    }
    .presentation {
        flex-basis: 20%;
    }
}